/*
 * statusandquestion: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: display.h 0.1 2004/07/11 14:12:20 hflor Exp $
 */

#ifndef __DISPLAY_H
#define __DISPLAY_H

#include <vdr/thread.h>
#include <vdr/menu.h>

#define DispText(a) a ? '\'' : '(', a ? a : "null", a ? '\'' : ')'

class cDisplayThread : public cThread {
private:
  bool active;
  time_t lasthousekeeping;
  eKeys Wait(int Seconds = 0);
  void Housekeeping(void);
public:
  cDisplayThread(void);
  virtual ~cDisplayThread(void);
  void Stop(void);
protected:
  virtual void Action(void);
};

#endif //__DISPLAY_H
